@ECHO OFF

REM -------------------------------------------------------------------------
REM INSTALL.BAT
REM
REM Installs CalcWare files under DOS
REM
REM Copyright 1994 Sparcom Corporation, Scott Burke
REM
REM 08/17/94	SB	Created file
REM 10/28/94	SB	Updated for new CP.EXE; now product-independent
REM 11/01/94	SB	Fixed problem when drive:\CALCWARE doesn't exist
REM 12/11/94	SB	Fixed d-45: now works under 4DOS
REM -------------------------------------------------------------------------

REM -------------------------------------------------------------------------
REM Usage: INSTALL DRIVE
REM   DRIVE parameter is drive to install software on, such as C:
REM -------------------------------------------------------------------------

IF '%1'=='' GOTO HELP
IF NOT '%2'=='' GOTO HELP
IF EXIST %1\NUL GOTO INSTALL

ECHO 
ECHO ----- Error: %1 does not exist or is an invalid destination.
ECHO 
PAUSE

GOTO HELP

REM -------------------------------------------------------------------------
REM Install software
REM -------------------------------------------------------------------------

:INSTALL

CLS
ECHO 
ECHO ----- Copying (or updating) CalcWare files...
ECHO 

IF NOT EXIST %1\CALCWARE\NUL MKDIR %1\CALCWARE
.\CP -pru * %1\CALCWARE

GOTO COMPLETE

REM -------------------------------------------------------------------------
REM Help information
REM -------------------------------------------------------------------------

:HELP

CLS
ECHO 
ECHO Installing CalcWare
ECHO -------------------
ECHO To install CalcWare from your master floppy disk to your hard drive:
ECHO 
ECHO At the DOS prompt, type  A:  and press ENTER.
ECHO If your floppy drive is not A:, replace "A" with the correct drive letter.
ECHO 
ECHO Then type  INSTALL C:  and press ENTER.
ECHO If your hard drive is not C:, replace "C" with the correct drive letter.
ECHO 
ECHO When installation is complete, the CalcWare files will be in the directory
ECHO CALCWARE on your hard drive.
ECHO 
PAUSE

GOTO DONE

REM -------------------------------------------------------------------------
REM Installation complete
REM -------------------------------------------------------------------------

:COMPLETE

ECHO 
ECHO ----- Installation of CalcWare is complete!
ECHO 
PAUSE

CLS

REM -------------------------------------------------------------------------
REM DONE
REM -------------------------------------------------------------------------

:DONE
